commit 8f181a2f878e8b97a91d68214161cb968888a2b7
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Sep 24 23:20:56 2024 +0100

    libstdc++: Populate generic std::time_get's wide %c format [PR117135]
    
    I missed out the __timepunct<wchar_t> specialization for the "generic"
    implementation when defining the %c format in r15-4016-gc534e37faccf48.
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/117135
            * config/locale/generic/time_members.cc
            (__timepunct<wchar_t>::_M_initialize_timepunc): Set
            _M_date_time_format for C locale. Set %Ex formats to the same
            values as the %x formats.
    
    (cherry picked from commit 707d84efee7f7eb5a336935f386e094402f267a6)

diff --git a/libstdc++-v3/config/locale/generic/time_members.cc b/libstdc++-v3/config/locale/generic/time_members.cc
index 6619f0ca881..5012a270dd1 100644
--- a/libstdc++-v3/config/locale/generic/time_members.cc
+++ b/libstdc++-v3/config/locale/generic/time_members.cc
@@ -150,11 +150,11 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
 	_M_data = new __timepunct_cache<wchar_t>;
 
       _M_data->_M_date_format = L"%m/%d/%y";
-      _M_data->_M_date_era_format = L"%m/%d/%y";
+      _M_data->_M_date_era_format = _M_data->_M_date_format;
       _M_data->_M_time_format = L"%H:%M:%S";
-      _M_data->_M_time_era_format = L"%H:%M:%S";
-      _M_data->_M_date_time_format = L"";
-      _M_data->_M_date_time_era_format = L"";
+      _M_data->_M_time_era_format = _M_data->_M_time_format;
+      _M_data->_M_date_time_format = L"%a %b %e %T %Y";
+      _M_data->_M_date_time_era_format = _M_data->_M_date_time_format;
       _M_data->_M_am = L"AM";
       _M_data->_M_pm = L"PM";
       _M_data->_M_am_pm_format = L"%I:%M:%S %p";

